# Reference

## eckoDEX Sdk

The main page for the library specifies how you can configure your client instance:

{% content-ref url="/pages/vwANKscV6NY3skkLbGnV" %}
[eckoDEX SDK](/eckodao/sdk/reference/eckodex-sdk.md)
{% endcontent-ref %}

A client instance includes all the core methods you'll need for interacting with the swap.

{% content-ref url="/pages/f2vLO8zhCHmXyHoJnLF0" %}
[createPair](/eckodao/sdk/reference/eckodex-sdk/createpair.md)
{% endcontent-ref %}

{% content-ref url="/pages/kcqZJVBiZrhtJqoksozG" %}
[addLiquidity](/eckodao/sdk/reference/eckodex-sdk/addliquidity.md)
{% endcontent-ref %}

{% content-ref url="/pages/SbnzwkF9FzvM6G44yMA5" %}
[removeLiquidity](/eckodao/sdk/reference/eckodex-sdk/removeliquidity.md)
{% endcontent-ref %}

{% content-ref url="/pages/hyn5AaZFtOfAqUsN8aLG" %}
[swap](/eckodao/sdk/reference/eckodex-sdk/swap.md)
{% endcontent-ref %}

{% content-ref url="/pages/74CQ1yiDQ2HPqdBBvscV" %}
[swapExactIn](/eckodao/sdk/reference/eckodex-sdk/swapexactin.md)
{% endcontent-ref %}

{% content-ref url="/pages/e1j1VqYQtYAff0V5QXco" %}
[swapExactOut](/eckodao/sdk/reference/eckodex-sdk/swapexactout.md)
{% endcontent-ref %}

## Support

Additional library functions and data structures provided for a robust developer experience.

{% content-ref url="/pages/fupDTvlehc6VZW6pQS8u" %}
[retrieveVerifiedAccount](/eckodao/sdk/reference/retrieveverifiedaccount.md)
{% endcontent-ref %}

{% content-ref url="/pages/Gb0SSlyhdwfSyLUDwcyQ" %}
[TOKENS](/eckodao/sdk/reference/tokens.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ecko.finance/eckodao/sdk/reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
